import '../../marianumconnect_query.dart';
import 'timetable_get_week_response.dart';

class TimetableGetWeek extends MarianumConnectQuery {
  TimetableGetWeek({super.dio});

  Future<TimetableGetWeekResponse> run({
    required DateTime from,
    required DateTime until,
  }) => getObject(
    'timetable/me',
    TimetableGetWeekResponse.fromJson,
    queryParameters: {'from': isoDate(from), 'until': isoDate(until)},
  );
}
